[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

X Strike Force X.Org X11 SVN commit: r1252 - trunk/xsfbs



Author: dnusinow
Date: 2006-02-20 20:09:51 -0500 (Mon, 20 Feb 2006)
New Revision: 1252

Modified:
   trunk/xsfbs/xsfbs.sh
Log:
Apply Eugene Konev's fixes for font updating script

Modified: trunk/xsfbs/xsfbs.sh
===================================================================
--- trunk/xsfbs/xsfbs.sh	2006-02-21 00:51:40 UTC (rev 1251)
+++ trunk/xsfbs/xsfbs.sh	2006-02-21 01:09:51 UTC (rev 1252)
@@ -415,18 +415,19 @@
         if which "$_cmd" > /dev/null 2>&1; then
           _shortcmd=${_cmd##*/}
           observe "running $_shortcmd in $_dir font directory"
-          if [ "$_shortcmd" = "xftcache" ]; then
-            if [ "$_dir" = "Speedo" ]; then
-              # do nothing; xftcache SEGVs (*sometimes*) when asked to process
-              # the Speedo directory
-              CMD=:
-            fi
-            # KLUDGE: xftcache needs to be handed the full path; the command
-            # goes away anyway in XFree86 4.3.0
-            _dir="$_x_font_dir_prefix/$_dir"
+	  _cmd_opts=
+          if [ "$_shortcmd" = "update-fonts-alias" ]; then
+            _cmd_opts=--x11r7-layout
           fi
-          $_cmd $_dir || warn "$_cmd $_dir failed; font directory data may" \
-                              "not be up to date"
+          if [ "$_shortcmd" = "update-fonts-dir" ]; then
+            _cmd_opts=--x11r7-layout
+          fi
+          if [ "$_shortcmd" = "update-fonts-scale" ]; then
+            _cmd_opts=--x11r7-layout
+          fi
+          $_cmd $_cmd_opts $_dir || warn "$_cmd $_cmd_opts $_dir" \
+                              "failed; font directory data may not" \
+                              "be up to date"
         else
           warn "$_cmd not found; not updating corresponding $_dir font" \
                "directory data"



Reply to: